Bug 1121423 - [abrt] dnf: visit_decref(): python2.7 killed by SIGSEGV [NEEDINFO]
Summary: [abrt] dnf: visit_decref(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:12b7741d31b53fba63f03eb0428...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 17:09 UTC by bugzilla
Modified: 2014-10-16 12:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 12:57:08 UTC
akozumpl: needinfo? (bugzilla)


Attachments (Terms of Use)
File: backtrace (23.00 KB, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: cgroup (164 bytes, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: core_backtrace (3.44 KB, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: dso_list (9.34 KB, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: environ (93 bytes, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: maps (43.75 KB, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: open_fds (104 bytes, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: proc_pid_status (898 bytes, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details
File: var_log_messages (537 bytes, text/plain)
2014-07-20 17:09 UTC, bugzilla
no flags Details

Description bugzilla 2014-07-20 17:09:40 UTC
Version-Release number of selected component:
dnf-0.5.2-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/python -OO /usr/bin/dnf -v makecache timer
crash_function: visit_decref
executable:     /usr/bin/python2.7
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 visit_decref at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:429
 #1 dict_traverse at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:2123
 #2 subtract_refs at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:456
 #3 collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:999
 #4 PyGC_Collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1514
 #5 Py_Finalize at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:444
 #6 Py_Exit at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:1780
 #7 handle_system_exit at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:1154
 #9 PyErr_PrintEx at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:1164
 #10 PyErr_Print at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:1067

Comment 1 bugzilla 2014-07-20 17:09:43 UTC
Created attachment 919430 [details]
File: backtrace

Comment 2 bugzilla 2014-07-20 17:09:45 UTC
Created attachment 919431 [details]
File: cgroup

Comment 3 bugzilla 2014-07-20 17:09:46 UTC
Created attachment 919432 [details]
File: core_backtrace

Comment 4 bugzilla 2014-07-20 17:09:47 UTC
Created attachment 919433 [details]
File: dso_list

Comment 5 bugzilla 2014-07-20 17:09:48 UTC
Created attachment 919434 [details]
File: environ

Comment 6 bugzilla 2014-07-20 17:09:49 UTC
Created attachment 919435 [details]
File: exploitable

Comment 7 bugzilla 2014-07-20 17:09:50 UTC
Created attachment 919436 [details]
File: limits

Comment 8 bugzilla 2014-07-20 17:09:52 UTC
Created attachment 919437 [details]
File: maps

Comment 9 bugzilla 2014-07-20 17:09:53 UTC
Created attachment 919438 [details]
File: open_fds

Comment 10 bugzilla 2014-07-20 17:09:54 UTC
Created attachment 919439 [details]
File: proc_pid_status

Comment 11 bugzilla 2014-07-20 17:09:56 UTC
Created attachment 919440 [details]
File: var_log_messages

Comment 12 Ales Kozumplik 2014-07-21 06:32:23 UTC
Looks similar to bug 1116045.

Reporter, do you have specific information that could help us reproduce this? What about a core dump? Does running:

dnf -v makecache timer

from the console produce the crash? Thank you!


Note You need to log in before you can comment on or make changes to this bug.